POST /updateBill/{locationId}

Deliver the details of a bill closed on the POS to Deliverect.

Path parameters

  • locationId string Required
application/json

Body

object object

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Content-Type string
  • 400 application/json

    OK

    Hide headers attribute Show headers attribute
    • Content-Type string
POST /updateBill/{locationId}
curl \
 --request POST 'https://api.staging.deliverect.com/updateBill/{locationId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"id":"R29532LF","items":[{"plu":"PLU-01","name":"My first product","price":300,"quantity":1},{"plu":"PLU-02","name":"My second product","price":400,"quantity":1,"subItems":[{"plu":"PLU-03","name":"My modifier","price":0,"quantity":1}]}],"taxes":[{"name":"6% VAT","total":48}],"total":800,"status":20,"tableId":"T1","closedAt":"2023-08-18T14:49:39.379000Z","payments":[{"name":"Cash","total":400}],"taxTotal":48,"totalDue":400,"createdAt":"2023-08-18T14:49:39.379000Z","discounts":[{"name":"Our company birthday discount","total":100}],"surcharges":[{"name":"Take-away","total":200}],"lastUpdated":"2023-08-18T14:49:39.379000Z","decimalDigits":2,"discountTotal":100,"surchargesTotal":200}'
Request example
{
  "id": "R29532LF",
  "items": [
    {
      "plu": "PLU-01",
      "name": "My first product",
      "price": 300,
      "quantity": 1
    },
    {
      "plu": "PLU-02",
      "name": "My second product",
      "price": 400,
      "quantity": 1,
      "subItems": [
        {
          "plu": "PLU-03",
          "name": "My modifier",
          "price": 0,
          "quantity": 1
        }
      ]
    }
  ],
  "taxes": [
    {
      "name": "6% VAT",
      "total": 48
    }
  ],
  "total": 800,
  "status": 20,
  "tableId": "T1",
  "closedAt": "2023-08-18T14:49:39.379000Z",
  "payments": [
    {
      "name": "Cash",
      "total": 400
    }
  ],
  "taxTotal": 48,
  "totalDue": 400,
  "createdAt": "2023-08-18T14:49:39.379000Z",
  "discounts": [
    {
      "name": "Our company birthday discount",
      "total": 100
    }
  ],
  "surcharges": [
    {
      "name": "Take-away",
      "total": 200
    }
  ],
  "lastUpdated": "2023-08-18T14:49:39.379000Z",
  "decimalDigits": 2,
  "discountTotal": 100,
  "surchargesTotal": 200
}
Response examples (200)
Bill queued for processing
Response examples (400)
Please provide a JSON format as specified in the API docs